"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompleteAutoInitCommandBuilder = void 0;
const AutoInitCommandBuilder_1 = require("./AutoInitCommandBuilder");
/**
 * Generate a complete command for automatic initialization of a user configuration
 */
class CompleteAutoInitCommandBuilder {
    /**
     * Get the complete auth group of commands
     * @param {ICommandProfileAutoInitConfig} autoInitConfig - mapping of profile types to auto init configs
     * @param {Logger} logger - logger to use in the builder classes
     * @returns {ICommandDefinition} - the complete profile group of commands
     */
    static getAutoInitCommand(autoInitConfig, logger) {
        const autoInitCommandAction = new AutoInitCommandBuilder_1.AutoInitCommandBuilder(logger, autoInitConfig, autoInitConfig.profileType);
        return autoInitCommandAction.build();
    }
}
exports.CompleteAutoInitCommandBuilder = CompleteAutoInitCommandBuilder;
//# sourceMappingURL=CompleteAutoInitCommandBuilder.js.map