"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.listDefinition = void 0;
const path_1 = require("path");
/**
 * Definition of the list command.
 * @type {ICommandDefinition}
 */
exports.listDefinition = {
    name: "list",
    type: "command",
    summary: "List installed plug-ins",
    description: "List all plug-ins installed.",
    handler: (0, path_1.join)(__dirname, "list.handler"),
    options: [
        {
            name: "short",
            aliases: ["s"],
            description: "Show output in abbreviated format",
            type: "boolean"
        }
    ]
};
//# sourceMappingURL=list.definition.js.map